package org.algorithm.core.cnn;

import org.algorithm.core.cnn.entity.Triad;

import java.util.List;

/**
 * @ClassName org.algorithm.core.cnn.model.AlgorithmCNNExecutor
 * @Description
 * @Author fyeman
 * @Date 2019/1/17/017 19:18
 * @Version 1.0
 **/
public abstract class AlgorithmCNNExecutor {
    /**
     *
     * @param content 输入句子
     * @param triads 实体列表(三元组列表)
     * @return  [[有关系的一系列词]]
     */
    public abstract List<Triad> execute(String content, List<Triad> triads);
}
